Ticket Change Details
Not logged in
Overview

Artifact ID: b67498814b35f65ce9f9cc1e4b39ef63bd41c9b6
Ticket: 8349866db6b8eeea025d1075e4a38fb1da995e9b
Support for PROJ 6.0.0
Date: 2019-03-13 18:36:57
User: anonymous
Changes

  1. Change foundin to "2.1.0-beta0"
  2. Change icomment to:

    PROJ 6.0.0 has been released and it deprecates the proj_api.h interface that spatialite_gui uses.

    Including that header without using the -DACCEPT_USE_OF_DEPRECATED_PROJ_API_H=1 flag causes an error:

    /usr/include/proj_api.h:37:2: error: #error 'To use the proj_api.h you must define the macro ACCEPT_USE_OF_DEPRECATED_PROJ_API_H' #error 'To use the proj_api.h you must define the macro ACCEPT_USE_OF_DEPRECATED_PROJ_API_H' ^~~~~

    PROJ 6.0.0 removes the old projects.h interface, and PROJ 7.0.0 (scheduled for March 202) will remove proj_api.h.

    Support for the proj.h API introduced in PROJ 6.0.0 should be added to spatialite-gui.

  3. Change login to "anonymous"
  4. Change mimetype to "text/x-fossil-plain"
  5. Change private_contact to "a0e2500d63a210a6c0ec0d71b3278d271480cfaf"
  6. Change severity to "Important"
  7. Change status to "Open"
  8. Change title to "Support for PROJ 6.0.0"
  9. Change type to "Feature_Request"